Skip to main content
GET
/
v1
/
boards
/
{boardId}
/
chats
List chats
curl --request GET \
  --url https://api.chatgrid.ai/v1/v1/boards/{boardId}/chats \
  --header 'Authorization: Bearer <token>'
{
  "object": "list",
  "data": [
    {
      "id": "b2c3d4e5-f6a7-8901-bcde-f12345678901",
      "title": "Brainstorm session",
      "node_id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
      "created_at": "2026-03-15T10:30:00.000Z",
      "updated_at": "2026-03-15T12:45:00.000Z",
      "last_message_at": "2026-03-15T12:50:00.000Z"
    }
  ],
  "has_more": true,
  "cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Pass your API key (prefixed cgk_) or a Supabase JWT in the Authorization: Bearer <token> header.

Path Parameters

boardId
string<uuid>
required

Board UUID.

Example:

"a1b2c3d4-e5f6-7890-abcd-ef1234567890"

Query Parameters

limit
integer
default:50

Maximum number of items to return (1-100, default 50).

Required range: 1 <= x <= 100
cursor
string

Opaque cursor for pagination. Pass the cursor value from a previous response.

Example:

"eyJpZCI6ImExYjJjM2Q0LWU1ZjYtNzg5MC1hYmNkLWVmMTIzNDU2Nzg5MCIsImNyZWF0ZWRfYXQiOiIyMDI2LTAzLTE1VDEwOjMwOjAwLjAwMFoifQ"

order
enum<string>
default:desc

Sort direction by created_at.

Available options:
asc,
desc
node_id
string<uuid>

Filter chats by the node they are attached to.

Response

A paginated list of chats.

object
enum<string>
Available options:
list
data
object[]
has_more
boolean
cursor
string | null